Bug 124779 - postfix smtp auth. failed after upgrate to postfix-2.0.16-13.RHEL3
Summary: postfix smtp auth. failed after upgrate to postfix-2.0.16-13.RHEL3
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: postfix   
(Show other bugs)
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-29 22:44 UTC by Genghis Rios
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-18 15:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Genghis Rios 2004-05-29 22:44:04 UTC
I have RH ES 3.0 running postfix-2.0.11-4 with smtp authentication  
and saslauthd service, all ok. I have in main.cf:

broken_sasl_auth_clients  = yes
smtpd_sasl_auth_enable    = yes
smtpd_sasl_security_options = noanonymous

smtpd_client_restrictions = check_client_access 
smtpd_sender_restrictions = reject_unknown_sender_domain,   
hash:/etc/postfix/access
smtpd_recipient_restrictions = permit_mynetworks, 
permit_sasl_authenticated, reject_unauth_destination

the file /usr/lib/sasl2/smtpd.conf   with:

pwcheck_method: saslauthd
mech_list: plain login

/etc/sysconfig/saslauthd  with:

MECH=pam

and /etc/pam.d/smtp with

auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth

Problem: When I upgrade to postfix-2.0.16-13.RHEL3 the smtp 
authenticacion failed, my clients are Outlook Express 6.0. I must to 
regret to postfix-2.0.11-4 version.

I don't use sendmail, I only use Postfix.

But when I install the last version of sendmail that resolv a 
similiar problem then Postfix 2.0.16-13 works ok. But I think that 
don't be necessary install sendmail to postfix works.

Comment 1 Thomas Woerner 2004-06-18 15:56:15 UTC
postfix is using SASLv1, now. There was a problem with SASLv2 and LDAP.

Please have a look at:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=125383#c1

This is also relevant for postfix.



Note You need to log in before you can comment on or make changes to this bug.